#include <Windows.h>
#include <stdio.h>

int wmain(int argc, WCHAR const *argv[]){

  if (argc != 2)
    return 1;

  WCHAR const *pathToIniFile = argv[1];
  DWORD count = GetPrivateProfileInt(L"PNG", L"Count", 0, pathToIniFile);
  if (!count)
    return 0;

  size_t const pathSize = 1024;
  WCHAR path[pathSize] = {0};

  size_t const keySize = 32;
  WCHAR key[keySize] = {0};

  for (DWORD i = 0; i < count ; ++i){
    swprintf(key, keySize, L"File%i", i);
    GetPrivateProfileString(L"PNG", key, L"", path,  pathSize, pathToIniFile);

    if (wcslen(path))
      ShellExecuteW(GetDesktopWindow(), L"open", path, NULL, NULL, SW_SHOWNORMAL);
  }

  return 0;
}
